<template>
    <lightning-record-edit-form object-api-name="BoatReview__c" onsubmit={handleSubmit} onsuccess={handleSuccess}>
        <lightning-messages>
        </lightning-messages>
        <lightning-layout multiple-rows vertical-align="start">
            <lightning-layout-item size="8" padding="horizontal-small">
                <div class="slds-form-element">
                    <lightning-input-field field-name="Name" onchange={handleTitleChange}></lightning-input-field>
                </div>
            </lightning-layout-item>
            <lightning-layout-item size="4" padding="horizontal-small">
                <div class="slds-form-element">
                    <label class="slds-form-element__label" for="record-name"> Rating </label>
                    <div class="slds-form-element__control">
                        <c-five-star-rating onratingchange={handleRatingChanged}></c-five-star-rating>
                    </div>
                </div>
            </lightning-layout-item>
            <lightning-layout-item padding="horizontal-small">
                <lightning-input-field field-name="Comment__c" onchange={handleCommentChange}></lightning-input-field>
            </lightning-layout-item>
        </lightning-layout>
        <div class="slds-align_absolute-center" style="margin-top: 5px">
            <lightning-button label="Submit" icon-name="utility:save" onclick={handleSubmit} type="submit">
            </lightning-button>
        </div>
    </lightning-record-edit-form>
</template>